from eth_wallet import BaseWallet
from eth_wallet import Setting

class WalletClass:
    
    def __init__(self):
        self.client = BaseWallet.eth_chain_client()
    
    def show_wallet(self):
        """
        查看当前钱包
        """
        addr = self.client.address
        priv = self.client.private_key
        return {addr:priv}
    
    def create_wallet(self,pwd):
        """
        创建钱包

        :param pwd: _description_
        """
        return self.client.create_wallet(pwd)
    
    def recovery_wallet(self,priv,pwd):
        """
        从私钥恢复钱包

        :param priv: _description_
        :param pwd: _description_
        :return: _description_
        """
        return self.client.recover_wallet(priv,pwd)
    
    def show_wallet_from_private(self,keystore_file):
        """
        通过私钥文件查看钱包信息

        :param keystore_file: _description_
        """
        return self.client.get_wallet_from_file(keystore_file)