import yaml

init_dict = {
    'TOKEN-LIST':[
        {
            'NAME':'umi',
            'ADDRESS':'0x43710f201183008EAf8170E729481289D52A695B'      
        },
    ],
    'NETWORK':[
        {
            'ROPSTEN':'https://ropsten.infura.io/v3/cf9f29fb4f674714be8047085920bbd9'
        }
    ]
}

def yaml_show(get_type):
    """
    查看配置

    :param get_type: _description_
    :return: _description_
    """
    with open('eth_wallet/Config.yaml','r',encoding='utf-8') as r:
        config_data = yaml.safe_load(r)
        return config_data[get_type]

def yaml_insert(insert_type,data):
    """
    插入配置

    :param insert_type: _description_
    :param data: _description_
    :return: _description_
    """
    with open('eth_wallet/Config.yaml','r',encoding='utf-8') as r:
        config_data = yaml.safe_load(r)
        with open('eth_wallet/Config.yaml', 'w',encoding='utf-8') as w:
            config_data[insert_type].append(data)
            yaml.dump(config_data,w)
            return True

def yaml_del(insert_type,data):
    """
    删除配置项

    :param insert_type: _description_
    :param data: _description_
    :return: _description_
    """
    with open('eth_wallet/Config.yaml','r',encoding='utf-8') as r:
        config_data = yaml.safe_load(r)
        with open('eth_wallet/Config.yaml', 'w',encoding='utf-8') as w:
            config_data[insert_type].remove(data)
            yaml.dump(config_data,w)
            return True

def yaml_init():
    """
    初始化配置文件

    :return: _description_
    """
    with open('eth_wallet/Config.yaml','w',encoding='utf-8') as w:
        yaml.dump(init_dict,w)
        return True


if __name__ == '__main__':
    a={
        'NAME':'eth',
        'ADDRESS':'0x456' 
    }

    yaml_init()
    # yaml_insert('TOKEN-LIST',a)
    # yaml_del('TOKEN-LIST',a)
    # print(type(yaml_show('TOKEN-LIST')))